aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mate-icon-theme/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2014-12-15 14:44:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-19 18:33:13 +0000
commit3e2f3e2ee59695e1a20b9af9c6c9736148e88905 (patch)
tree3c598d8aaeb031fd0a5ccb5e76dac4d6e432787e /testing/mate-icon-theme/APKBUILD
parentf0d47bb2347eb74a382f298ee9a8280cdfe3936c (diff)
downloadaports-3e2f3e2ee59695e1a20b9af9c6c9736148e88905.tar.gz
aports-3e2f3e2ee59695e1a20b9af9c6c9736148e88905.tar.bz2
aports-3e2f3e2ee59695e1a20b9af9c6c9736148e88905.tar.xz
testing/mate-icon-theme: new aport
Diffstat (limited to 'testing/mate-icon-theme/APKBUILD')
-rw-r--r--testing/mate-icon-theme/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/mate-icon-theme/APKBUILD b/testing/mate-icon-theme/APKBUILD
new file mode 100644
index 0000000000..09eecdac73
--- /dev/null
+++ b/testing/mate-icon-theme/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=mate-icon-theme
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="MATE desktop icons"
+url="https://github.com/mate-desktop/mate-icon-theme"
+arch="noarch"
+license="GPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="icon-naming-utils intltool"
+install=""
+subpackages=""
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="acee85ec61cc8453569622f77e385c68 mate-icon-theme-1.9.0.tar.xz"
+sha256sums="7de4d79d991307d7756bd07e13297b63dc0492b409a7ee5c4918084f145bab6f mate-icon-theme-1.9.0.tar.xz"
+sha512sums="8b16d9561c2e23c4dbae2a45650b8b523fc7602e53d57a9f4b9b2be883cc1cf47a988f2efe90def09e218bd9a8d856aef49be1c7a17ba2d98b364b8264e7c8e4 mate-icon-theme-1.9.0.tar.xz"